For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • POSTEstimate Fulfillment Cost For Order
        • GETGet Order Store Data
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get Shipment Line Items

||View as Markdown|
GET
/2026-01/shipment/:shipmentId:getLineItems
GET
/2026-01/shipment/:shipmentId:getLineItems
$curl https://api.shipbob.com/2026-01/shipment/1:getLineItems \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "committed_quantity": 2,
4 "inventory_id": 789012,
5 "is_hazmat": false,
6 "is_lot": true,
7 "lot": {
8 "lot_date": "2024-06-01T00:00:00Z",
9 "lot_number": "LOT-2024-001",
10 "selection_method": "ShipbobChooses"
11 },
12 "product_variant": {
13 "id": 456,
14 "name": "Blue T-Shirt S",
15 "sku": "BTS-S-BLUE"
16 },
17 "quantity": 2,
18 "serial_numbers": []
19 }
20]
Retrieves the line items for a specific shipment.
Was this page helpful?
Previous

Update Shipment Address

Next

Update Shipment Line Items

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

shipmentIdintegerRequired
Unique identifier of the shipment

Response

OK
committed_quantityinteger
Quantity of the inventory item committed for fulfillment
inventory_idinteger
Unique identifier of the inventory item
is_hazmatboolean or null
Indicates whether the inventory item is classified as hazardous material
is_lotboolean or null

Indicates whether the inventory item is lot-tracked

lotobject

Lot information for the inventory item, if lot-tracked

product_variantobject
Product variant details associated with this line item
quantityinteger
Total quantity of the inventory item in the shipment
serial_numberslist of strings or null
List of serial numbers assigned to this line item

Errors

404
Not Found Error